« Configuring gnetlist | gEDA gnetlist User Guide | Contents »

## Command-line arguments

gnetlist accepts several optional arguments on the command-line. You can get a list of them by running `gnetlist -h`. gnetlist also has a manpage (`man gnetlist`) which lists all of the command line options that it accepts.

### Message output and diagnostics

-q | Quiet mode. Turn off all warnings/notes/messages.
-v, --verbose | Verbose mode. Output extra diagnostic information.
-h, --help | Print a help message.
-V, --version | Print gnetlist version information.
--list-backends | Print a list of installed netlist backends.

### Netlist processing

-o FILE | Write the generated netlist to FILE.
-g BACKEND | Specify which backend to use to generate netlist data.
-O STRING | Pass an option STRING to the netlist backend.
-i | Enter the interactive mode Scheme REPL instead of running a backend.
-- | Treat all remaining arguments as schematic or symbol filenames. Use this if you have a schematic filename which begins with ”-”.

### Scheme extensibility

-L DIRECTORY | Prepend DIRECTORY to the list of directories to be searched for Scheme files.
-c EXPR | Specify a Scheme expression to be evaluated at startup.
-l FILE | Specify a Scheme script to be executed before loading a backend.
-m FILE | Specify a Scheme script to be executed after loading a backend.